Subject: bug#24441: 24.5; rename directory in dired to change case

From: Drew Adams <[email-masked]>
Date: Thu, 15 Sep 2016 06:43:21 -0700 (PDT)

> > If I have a directory `a', and try to rename it `A' in dired, it errors.
> > `(file-error Renaming Invalid argument /tmp/a /tmp/A/a)'.
> 
> That's because your filesystem is case-insensitve, thus /tmp/A already
> exists.

FWIW, MS Windows is case-insensitive, but it nevertheless shows
files and directories using both uppercase and lowercase letters.
And it lets you rename "aa" to "AA", "Aa", etc.  The fact that
the file already exists does not prevent you from renaming it
to use different letter case.

And for MS Windows, at least, Emacs supports this as well,
including using Dired.